Greenbone Vulnerability Management Libraries: util/authutils_tests.c File Reference

Greenbone Vulnerability Management Libraries 23.1.2

Functions
authutils_tests.c File Reference
`#include "authutils.c"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`
`#include <glib.h>`

## Functions
| Describe (authutils)
| BeforeEach (authutils)
| AfterEach (authutils)
| Ensure (authutils, auth_method_name_returns_correct_strings)
| Ensure (authutils, auth_method_name_valid_returns_one_for_valid_names)
| Ensure (authutils, auth_method_name_valid_returns_zero_for_invalid_names)
| Ensure (authutils, gvm_auth_ldap_enabled_returns_one_when_enabled)
| Ensure (authutils, gvm_auth_radius_enabled_returns_one_when_enabled)
| Ensure (authutils, digest_hex_returns_correct_hex_string)
| Ensure (authutils, digest_hex_returns_null_for_invalid_algorithm)
| Ensure (authutils, get_md5_hash_from_string_returns_correct_hash)
| Ensure (authutils, get_md5_hash_from_string_handles_empty_string)
| Ensure (authutils, get_password_hashes_returns_valid_hash_pair)
| Ensure (authutils, gvm_authenticate_classic_succeeds_with_correct_password)
| Ensure (authutils, gvm_authenticate_classic_fails_with_incorrect_password)
| Ensure (authutils, gvm_authenticate_classic_fails_with_null_hash)
| Ensure (authutils, gvm_authenticate_classic_returns_error_for_invalid_hash_format)
| Ensure (authutils, gvm_auth_init_succeeds_on_first_call)
| Ensure (authutils, gvm_auth_init_fails_on_second_call)
int | main (int argc, char **argv)

## Function Documentation

## ◆ AfterEach()

AfterEach | ( | authutils |  | ) |

## ◆ BeforeEach()

BeforeEach | ( | authutils |  | ) |

## ◆ Describe()

Describe | ( | authutils |  | ) |

## ◆ Ensure() [1/16]

Ensure | ( | authutils | ,
|  | auth_method_name_returns_correct_strings | )

## ◆ Ensure() [2/16]

Ensure | ( | authutils | ,
|  | auth_method_name_valid_returns_one_for_valid_names | )

## ◆ Ensure() [3/16]

Ensure | ( | authutils | ,
|  | auth_method_name_valid_returns_zero_for_invalid_names | )

## ◆ Ensure() [4/16]

Ensure | ( | authutils | ,
|  | digest_hex_returns_correct_hex_string | )

## ◆ Ensure() [5/16]

Ensure | ( | authutils | ,
|  | digest_hex_returns_null_for_invalid_algorithm | )

## ◆ Ensure() [6/16]

Ensure | ( | authutils | ,
|  | get_md5_hash_from_string_handles_empty_string | )

## ◆ Ensure() [7/16]

Ensure | ( | authutils | ,
|  | get_md5_hash_from_string_returns_correct_hash | )

## ◆ Ensure() [8/16]

Ensure | ( | authutils | ,
|  | get_password_hashes_returns_valid_hash_pair | )

## ◆ Ensure() [9/16]

Ensure | ( | authutils | ,
|  | gvm_auth_init_fails_on_second_call | )

## ◆ Ensure() [10/16]

Ensure | ( | authutils | ,
|  | gvm_auth_init_succeeds_on_first_call | )

## ◆ Ensure() [11/16]

Ensure | ( | authutils | ,
|  | gvm_auth_ldap_enabled_returns_one_when_enabled | )

## ◆ Ensure() [12/16]

Ensure | ( | authutils | ,
|  | gvm_auth_radius_enabled_returns_one_when_enabled | )

## ◆ Ensure() [13/16]

Ensure | ( | authutils | ,
|  | gvm_authenticate_classic_fails_with_incorrect_password | )

## ◆ Ensure() [14/16]

Ensure | ( | authutils | ,
|  | gvm_authenticate_classic_fails_with_null_hash | )

## ◆ Ensure() [15/16]

Ensure | ( | authutils | ,
|  | gvm_authenticate_classic_returns_error_for_invalid_hash_format | )

## ◆ Ensure() [16/16]

Ensure | ( | authutils | ,
|  | gvm_authenticate_classic_succeeds_with_correct_password | )

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv )